> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Setting Live ‘Bing Ads Keyword Suggestions for URL’ Tasks

> This endpoint provides keyword suggestions based on the content of a given webpage URL.



## OpenAPI

````yaml openapi/dataforseo.json POST /dataforseo/keywords_data/bing/keyword_suggestions_for_url/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/keywords_data/bing/keyword_suggestions_for_url/live:
    post:
      summary: Setting Live ‘Bing Ads Keyword Suggestions for URL’ Tasks
      description: >-
        This endpoint provides keyword suggestions based on the content of a
        given webpage URL. It analyzes the page and returns a list of relevant
        keywords, along with a confidence score that indicates the probability
        that the keyword would match a user’s search query.
      operationId: post_dataforseo_keywords_data_bing_keyword_suggestions_for_url_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                target:
                  type: string
                  description: >-
                    target URL of the webpage to scan for possible keywords
                    required field maximum length: 2000 characters
                language_code:
                  type: string
                  description: >-
                    search engine language code required field if you don’t
                    specify language_name if you use this field, you don’t need
                    to specify language_name you can receive the list of
                    available languages with their language_code by making a
                    separate request to
                    https://api.dataforseo.com/v3/keywords_data/bing/keyword_suggestions_for_url/languages
                    example: en
                exclude_brands:
                  type: boolean
                  description: >-
                    determines whether the results exclude brand keywords
                    optional field
              required:
                - target
                - language_code
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: the current version of the API
                  status_code:
                    type: integer
                    description: >-
                      general status code you can find the full list of the
                      response codes here Note: we strongly recommend designing
                      a necessary system for handling related exceptional or
                      error conditions
                  status_message:
                    type: string
                    description: >-
                      general informational message you can find the full list
                      of general informational messages here
                  time:
                    type: string
                    description: execution time, seconds
                  cost:
                    type: number
                    description: total tasks cost, USD
                  tasks_count:
                    type: integer
                    description: the number of tasks in the tasks array
                  tasks_error:
                    type: integer
                    description: >-
                      the number of tasks in the tasks array that were returned
                      an error
                  tasks:
                    type: array
                    items:
                      type: string
                    description: array of tasks
                  tasks.id:
                    type: string
                    description: >-
                      task identifier unique task identifier in our system in
                      the UUID format
                  tasks.status_code:
                    type: integer
                    description: >-
                      status code of the task generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of response codes here
                  tasks.status_message:
                    type: string
                    description: >-
                      informational message of the task you can find the full
                      list of general informational messages here
                  tasks.time:
                    type: string
                    description: execution time, seconds
                  tasks.cost:
                    type: number
                    description: cost of the task, USD
                  tasks.result_count:
                    type: integer
                    description: number of elements in the result array
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL path
                  tasks.data:
                    type: object
                    description: >-
                      contains the same parameters that you specified in the
                      POST request
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: >-
                      array of results results are sorted in order from keywords
                      with the highest confidence score to those with the lowest
                      confidence score
                  tasks.result.keyword:
                    type: string
                    description: suggested keyword
                  tasks.result.confidence_score:
                    type: number
                    description: >-
                      a score from 0.0 to 1.0 that indicates the probability
                      that the keyword would match a user’s search query
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````